Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version:  

Description

The margin-top for #sidebar h3 was removed in r23218. Probably this change was made to prevent excessive spacing between the

sidebar toggle button and the first h3 heading.

However, this removal introduced an unintended side effect: the lack of margin between the content blocks and the h3 headings has

resulted in an awkward layout, as seen in the screenshot.

To address this issue, I believe it would be better to restore the margin-top, even if it means allowing a slightly larger gap below the

sidebar toggle button.

The sidebar before and after applying the patch:
diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index 304f32284..2e60b2d1c 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -156,7 +156,7 @@

 pre, code {font-family: Consolas, Menlo, "Liberation Mono", Courier, monospace;}

 @media screen and (min-width: 1600px) and (max-width: 1919px) {#sidebar{width: 320px;}}

 @media screen and (min-width: 1920px) and (max-width: 2559px) {#sidebar{width: 360px;}}

 @media screen and (min-width: 2560px) {#sidebar{width: 380px;}}

-#sidebar h3{ font-size: 0.875rem; color: #555; }

+#sidebar h3{ font-size: 0.875rem; color: #555; margin-top: 14px; margin-bottom: 7px;}

 #sidebar hr{ width: 100%; margin: 0 auto; height: 1px; background: #ccc; border: 0; }

 #sidebar .contextual { margin-right: 1em; }

 #sidebar ul, ul.flat {margin: 0;  padding: 0;}

Associated revisions

Revision 23292 - 2024-11-18 22:07 - Marius BĂLTEANU

Fixes missing top margin for h3 elements in sidebar by removing the margin only for the first element (#41779).

Revision 23298 - 2024-11-20 18:18 - Marius BĂLTEANU

Merge r23292 from trunk to 6.0-stable (#41779).

History

#1 - 2024-11-18 22:10 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

I've fixed this by restoring the top margin and removing it only for the first element, please take a look at r23292 and tell me if it fixes for you.

#2 - 2024-11-23 12:22 - Marius BĂLTEANU

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/23218
https://www.redmine.org/projects/redmine/repository/svn/revisions/23292
